<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__board__libs__afe" kind="group">
    <compoundname>group_board_libs_afe</compoundname>
    <title>Analog Front End</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy8ckit_032_led_ctrl_t</name>
        <enumvalue id="group__group__board__libs__afe_1gga8ae4e63f4cf9368b21b9135e4a99969ea990159918a6a08206cc69f0ed5724acd" prot="public">
          <name>CY8CKIT_032_LED_CTRL_CAPSENSE</name>
          <initializer>= 0x00</initializer>
          <briefdescription>
<para>LEDs are controlled by CapSense signal detect. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga8ae4e63f4cf9368b21b9135e4a99969eac31237ee0fd6c067a7b7d985316d2d35" prot="public">
          <name>CY8CKIT_032_LED_CTRL_SW</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
<para>LEDs are controlled by sofware <ref kindref="member" refid="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25">cy8ckit_032_set_cled_states()</ref> </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy8ckit_032_led_ctrl_t: </bold><linebreak />Different operating mode for the CapSense LEDs (CLED0, CLED1, CLED2, CLED3).</para></briefdescription>
        <detaileddescription>
<para><ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="96" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="93" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="93" />
      </memberdef>
      <memberdef id="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy8ckit_032_cled_t</name>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791acf575695441321c054ea4575a0d5a688" prot="public">
          <name>CY8CKIT_032_CLED0</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
<para>CapSense LED0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a6875d2eb6dad64f7f58b46acd8174c41" prot="public">
          <name>CY8CKIT_032_CLED1</name>
          <initializer>= 0x02</initializer>
          <briefdescription>
<para>CapSense LED1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a66b579835c443d54705e2ce6adb6c7ca" prot="public">
          <name>CY8CKIT_032_CLED2</name>
          <initializer>= 0x04</initializer>
          <briefdescription>
<para>CapSense LED2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a35017434b0f88ca8e7e40d218ef557c7" prot="public">
          <name>CY8CKIT_032_CLED3</name>
          <initializer>= 0x08</initializer>
          <briefdescription>
<para>CapSense LED3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy8ckit_032_cled_t: </bold><linebreak />The CapSense LEDs that can be controlled by the CapSense detection, or software.</para></briefdescription>
        <detaileddescription>
<para>See:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f">cy8ckit_032_get_cled_states()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424">cy8ckit_032_get_cled_state()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25">cy8ckit_032_set_cled_states()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9">cy8ckit_032_set_cled_state()</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="110" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="105" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="105" />
      </memberdef>
      <memberdef id="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy8ckit_032_button_t</name>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a86b4e38ca54d7e17670f57a36068059a" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B0</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
<para>CapSense Button 0 (B0) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a5219805a2911005c52d6c6091f54b197" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B1</name>
          <initializer>= 0x02</initializer>
          <briefdescription>
<para>CapSense Button 1 (B1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430af2e76120234cd700f72f4ab481992e9b" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B2</name>
          <initializer>= 0x04</initializer>
          <briefdescription>
<para>CapSense Button 2 (B2) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a03166086ed04e19c72d51565b56c46ab" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B3</name>
          <initializer>= 0x08</initializer>
          <briefdescription>
<para>CapSense Button 3 (B3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a8c4a8c70f60aecdff398b4d1c6678734" prot="public">
          <name>CY8CKIT_032_BTN_MECHANICAL_B1</name>
          <initializer>= 0x10</initializer>
          <briefdescription>
<para>Mechanical Button 1 (MB1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a9c423e22d65eedfe2a31c0a5a7ff569d" prot="public">
          <name>CY8CKIT_032_BTN_MECHANICAL_B2</name>
          <initializer>= 0x20</initializer>
          <briefdescription>
<para>Mechanical Button 2 (MB2) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a63eafa6b5b7eb2f1a5aeadb088ec1237" prot="public">
          <name>CY8CKIT_032_BTN_PROXIMITY</name>
          <initializer>= 0x40</initializer>
          <briefdescription>
<para>Proximity Sensor (Proximity Loop) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy8ckit_032_button_t: </bold><linebreak />The different buttons that are read by <ref kindref="member" refid="group__group__board__libs__afe_1ga133dd5aaaec2244008abda92ba8f4bb8">cy8ckit_032_get_button_states()</ref> or <ref kindref="member" refid="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218">cy8ckit_032_get_button_state()</ref></para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="121" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="113" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="113" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_init</definition>
        <argsstring>(cyhal_i2c_t *inst)</argsstring>
        <name>cy8ckit_032_init</name>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>inst</declname>
        </param>
        <briefdescription>
<para>Initializes the I2C interface for communicating with the AFE and OLED components on the board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional I2C instance to use for communicating with the peripherals on the shield. If NULL, a new instance will be allocated using the CYBSP_I2C_SCL &amp; CYBSP_I2C_SDA pins. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="87" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="152" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga95cffb0a55bb053a698c65a1e995a73b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy8ckit_032_free</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_032_free</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Frees up any resources allocated as part of <ref kindref="member" refid="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d">cy8ckit_032_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="178" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="172" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="157" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga914db1d633216a9597a3382f31c45b91" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_set_dac_voltage</definition>
        <argsstring>(float volts)</argsstring>
        <name>cy8ckit_032_set_dac_voltage</name>
        <param>
          <type>float</type>
          <declname>volts</declname>
        </param>
        <briefdescription>
<para>Updates the output voltage from the DAC on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">volts</parametername>
</parameternamelist>
<parameterdescription>
<para>Desired DAC voltage in Volts </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="168" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="165" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_cled_states</definition>
        <argsstring>(uint8_t *states)</argsstring>
        <name>cy8ckit_032_get_cled_states</name>
        <param>
          <type>uint8_t *</type>
          <declname>states</declname>
        </param>
        <briefdescription>
<para>Gets the current state of the CapSense LEDs on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">states</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of each of the CLEDs. See <ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref> for bitmasks. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="180" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="177" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="177" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_get_cled_state</definition>
        <argsstring>(cy8ckit_032_cled_t cled, bool *state)</argsstring>
        <name>cy8ckit_032_get_cled_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref></type>
          <declname>cled</declname>
        </param>
        <param>
          <type>bool *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Gets the current state of a single CapSense LED on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cled</parametername>
</parameternamelist>
<parameterdescription>
<para>The CLED to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of the requested CLED. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="132" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="125" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_set_cled_states</definition>
        <argsstring>(uint8_t states)</argsstring>
        <name>cy8ckit_032_set_cled_states</name>
        <param>
          <type>uint8_t</type>
          <declname>states</declname>
        </param>
        <briefdescription>
<para>Sets the current state of the CapSense LEDs on the shield board if it is configured for Software Control (<ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref>). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">states</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired state of each of the CLED pins. See <ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref> for bitmasks. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="199" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_set_cled_state</definition>
        <argsstring>(cy8ckit_032_cled_t cled, bool state)</argsstring>
        <name>cy8ckit_032_set_cled_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref></type>
          <declname>cled</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Sets the current state of the referenced CapSense LED on the shield board if it is configured for Software Control (<ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref>). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cled</parametername>
</parameternamelist>
<parameterdescription>
<para>The CLED to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired state of the requested CLED. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="138" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="212" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_set_led_control</definition>
        <argsstring>(cy8ckit_032_led_ctrl_t control)</argsstring>
        <name>cy8ckit_032_set_led_control</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref></type>
          <declname>control</declname>
        </param>
        <briefdescription>
<para>Sets the control behavior for the CapSense LEDs. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">control</parametername>
</parameternamelist>
<parameterdescription>
<para>The controller for the CLEDs </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="223" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="220" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="220" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga510471363750648f95a23e275b80c82b" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_led_control</definition>
        <argsstring>(cy8ckit_032_led_ctrl_t *control)</argsstring>
        <name>cy8ckit_032_get_led_control</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref> *</type>
          <declname>control</declname>
        </param>
        <briefdescription>
<para>Gets the current controller mode for the CapSense LEDs. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">control</parametername>
</parameternamelist>
<parameterdescription>
<para>The controller mode for the CLEDs. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="234" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="231" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="231" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga133dd5aaaec2244008abda92ba8f4bb8" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_button_states</definition>
        <argsstring>(uint8_t *states)</argsstring>
        <name>cy8ckit_032_get_button_states</name>
        <param>
          <type>uint8_t *</type>
          <declname>states</declname>
        </param>
        <briefdescription>
<para>Gets the current state of the Buttons on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">states</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of each of the Buttons. See <ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref> for bitmasks. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="246" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="243" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="243" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_get_button_state</definition>
        <argsstring>(cy8ckit_032_button_t button, bool *state)</argsstring>
        <name>cy8ckit_032_get_button_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref></type>
          <declname>button</declname>
        </param>
        <param>
          <type>bool *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Gets the current state of a single Button on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">button</parametername>
</parameternamelist>
<parameterdescription>
<para>The Button to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of the requested Button. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="166" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="159" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="255" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga8b76517d2c71cc29c15994e291ef52f5" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_temperature_c</definition>
        <argsstring>(float *temperature)</argsstring>
        <name>cy8ckit_032_get_temperature_c</name>
        <param>
          <type>float *</type>
          <declname>temperature</declname>
        </param>
        <briefdescription>
<para>Gets the current temperature, in degrees C, from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">temperature</parametername>
</parameternamelist>
<parameterdescription>
<para>The current temperature in degrees C. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="266" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="263" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gaf3eccc9ce9a839fd55285253550e62e1" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_humidity_percent</definition>
        <argsstring>(float *humidity)</argsstring>
        <name>cy8ckit_032_get_humidity_percent</name>
        <param>
          <type>float *</type>
          <declname>humidity</declname>
        </param>
        <briefdescription>
<para>Gets the current humidity, in percent, from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">humidity</parametername>
</parameternamelist>
<parameterdescription>
<para>The current humidity percent. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="277" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="274" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="274" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga7f7c5b43b0865b54a5924018a7ba1d6f" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_ambient_light_lux</definition>
        <argsstring>(float *light)</argsstring>
        <name>cy8ckit_032_get_ambient_light_lux</name>
        <param>
          <type>float *</type>
          <declname>light</declname>
        </param>
        <briefdescription>
<para>Gets the ambient light measurement, in lux, from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">light</parametername>
</parameternamelist>
<parameterdescription>
<para>The current ambient light in lux. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="288" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="285" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="285" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga857e8c048725f58b6a384da25d8e6c7f" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_potentiometer_voltage</definition>
        <argsstring>(float *voltage)</argsstring>
        <name>cy8ckit_032_get_potentiometer_voltage</name>
        <param>
          <type>float *</type>
          <declname>voltage</declname>
        </param>
        <briefdescription>
<para>Gets the current potentiomenter voltage from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">voltage</parametername>
</parameternamelist>
<parameterdescription>
<para>The current potentiometer voltage. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="299" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="296" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="296" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>APIs for interacting with the sensors and user interface widgets on the board. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>